package multiava.gfx;

import java.awt.FontFormatException;
import java.io.IOException;

import javax.media.opengl.GL;

import com.emarcotte.glfoo.GraphicsDriver;
import com.emarcotte.glfoo.Renderable;
import com.emarcotte.glfoo.utils.FontManager;
import com.sun.opengl.util.j2d.TextRenderer;

public class ScoreArea implements Renderable {
	TextRenderer r;
	Man m;

	public ScoreArea(Man m) {
		this.m = m;
	}

	@Override
	public void draw(GraphicsDriver driver) {
		GL gl = driver.getGl();
		gl.glPushMatrix();
		gl.glPushAttrib(GL.GL_CURRENT_BIT);
		gl.glColor3d(1, 1, 1);
		r.beginRendering(driver.getWidth(), driver.getHeight());
		r.draw("SCORE!! " + m.getPosition().getJ(), driver.getWidth() - 150,
				driver.getHeight() - 50);
		r.endRendering();
		gl.glPopAttrib();
		gl.glPopMatrix();

	}

	@Override
	public void init(GraphicsDriver driver) {
		try {
			r = new TextRenderer(FontManager.getInstance().getFont(
					"DejaVuSans-Bold.ttf", 18));
		} catch (FontFormatException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
